%define	release 14

%define	_glib2		2.2
%define major		0.10
%define majorminor	0.10
%define bname		gstreamer0.10

%define build_plf	0

%if "%{?distro_section}" == "tainted"
%define build_plf	1
%endif

%define build_experimental	0
%{?_with_experimental: %{expand: %%global build_experimental 1}}
%define build_lame	0
%define build_amrnb	0
%define build_amrwbdec	0
%define build_x264	0

%if %build_plf
%define build_lame	1
%define build_x264	1
%define build_amrnb	1
%define build_amrwbdec	1
%endif

Summary:	GStreamer Streaming-media framework plug-ins
Name:		%{bname}-plugins-ugly
Version:	0.10.19
Release:	%mkrel %{release}
License:	LGPLv2+
Group:		Video/Utilities
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.bz2
Patch0:		gstreamer-plugins-ugly-0.10.17-amr-linking.patch
Patch1:		gstreamer-plugins-ugly-0.10.19-cdio-0.90.patch
URL:		http://gstreamer.freedesktop.org/
#gw for the pixbuf plugin
BuildRequires:	gtk+2-devel
BuildRequires:	glib2-devel >= %_glib2
BuildRequires:	liborc-devel >= 0.4.5
BuildRequires:	libgstreamer-plugins-base-devel >= 0.10.36
BuildRequires:	libmesaglu-devel
BuildRequires:	libmad-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libdvdread-devel

%ifnarch %mips %arm
BuildRequires:	valgrind-devel
%endif

BuildRequires:	libcheck-devel
Provides:	%{bname}-audiosrc
Provides:	%{bname}-audiosink

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of plug-ins that have good quality and
correct functionality, but distributing them might pose problems. The
license on either the plug-ins or the supporting libraries might not
be how the GStreamer authors like. The code might be widely known to
present patent problems.

%if %build_plf
This package is in the 'tainted' section as it violates some patents.
%endif

%prep
%setup -q -n gst-plugins-ugly-%{version}
%apply_patches
autoconf

%build
%configure2_5x --disable-dependency-tracking \
  --with-package-name='%{distribution} %name package' \
  --with-package-origin='http://www.mageia.org/' \
%if ! %build_lame
	--disable-lame \
%endif
%if %build_experimental
	--enable-experimental
%endif

%make

%check
cd tests/check
make check

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang gst-plugins-ugly-%{majorminor}
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%files -f gst-plugins-ugly-%{majorminor}.lang
%doc AUTHORS COPYING README NEWS
%{_libdir}/gstreamer-%{majorminor}/libgstasf.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdlpcmdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdread.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdsub.so
%{_libdir}/gstreamer-%{majorminor}/libgstiec958.so
%{_libdir}/gstreamer-%{majorminor}/libgstmad.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegaudioparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegstream.so
%{_libdir}/gstreamer-%{majorminor}/libgstrmdemux.so
%if %build_experimental
%{_libdir}/gstreamer-%{majorminor}/libgstsynaesthesia.so
%endif

%if %build_lame
### LAME ###
%package -n %{bname}-lame
Summary:	GStreamer plug-in for encoding mp3 songs using lame
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	liblame-devel >= 3.89

%description -n %{bname}-lame
Plug-in for encoding mp3 with lame under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-lame
%{_libdir}/gstreamer-%{majorminor}/libgstlame.so
%endif

%if %build_x264
%package -n %{bname}-x264
Summary:	GStreamer plug-in for H264/AVC video encoding
Group:		Video/Utilities
BuildRequires:	libx264-devel

%description -n %{bname}-x264
Plug-in for encoding H264/AVC video.

This package is in the 'tainted' section as it violates some patents.
%files -n %{bname}-x264
%{_libdir}/gstreamer-%{majorminor}/libgstx264.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstX264Enc.prs
%endif

%if %build_amrnb
%package -n %{bname}-amrnb
Summary:	GStreamer plug-in for AMR-NB support
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	opencore-amr-devel

%description -n %{bname}-amrnb
Plug-in for decoding AMR-NB under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrnb
%{_libdir}/gstreamer-%{majorminor}/libgstamrnb.so
%{_datadir}/gstreamer-%{majorminor}/presets/GstAmrnbEnc.prs
%endif

%if %build_amrwbdec
%package -n %{bname}-amrwbdec
Summary:	GStreamer plug-in for AMR-WB decoding support
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	opencore-amr-devel

%description -n %{bname}-amrwbdec
Plug-in for decoding AMR-Wb under GStreamer.

This package is in the 'tainted' section as it violates some patents.

%files -n %{bname}-amrwbdec
%{_libdir}/gstreamer-%{majorminor}/libgstamrwbdec.so
%endif

### SIDPLAY ###
%package -n %{bname}-sid
Summary:	GStreamer Sid C64 music plugin
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	sidplay-devel >= 1.36.0

%description -n %{bname}-sid
Plugin for playback of C64 SID format music files

%files -n %{bname}-sid
%{_libdir}/gstreamer-%{majorminor}/libgstsid.so

### A52DEC ###
%package -n %{bname}-a52dec
Summary:	GStreamer VOB decoder plugin
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	a52dec-devel >= 0.7.3

%description -n %{bname}-a52dec
Plugin for decoding of VOB files.

%files -n %{bname}-a52dec
%{_libdir}/gstreamer-%{majorminor}/libgsta52dec.so

%package -n %{bname}-mpeg
Summary:	GStreamer plug-ins for MPEG video playback and encoding
Group:		Video/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	libmpeg2dec-devel >= 0.3.1

%description -n %{bname}-mpeg
Plug-ins for playing and encoding MPEG video.

%files -n %{bname}-mpeg
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2dec.so

%package -n %{bname}-cdio
Summary:	GStreamer plug-in for audio CD playback
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	libcdio-devel
Conflicts:	%{bname}-plugins-good < 0.10.10

%description -n %{bname}-cdio
Plug-in for audio CD playback.

%files -n %{bname}-cdio
%{_libdir}/gstreamer-%{majorminor}/libgstcdio.so

%package -n %{bname}-twolame
Summary:	GStreamer plug-in for MP2 encoding support
Group:		Sound/Utilities
Requires:	%{bname}-plugins >= %{version}-%{release}
BuildRequires:	libtwolame-devel

%description -n %{bname}-twolame
Plug-in for encoding MP2 under GStreamer.

%files -n %{bname}-twolame
%{_libdir}/gstreamer-%{majorminor}/libgsttwolame.so


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.10.19-14.mga5
+ Revision: 740825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.19-13.mga5.tainted
+ Revision: 679979
- Mageia 5 Mass Rebuild

* Sun Mar 30 2014 daviddavid <daviddavid> 0.10.19-12.mga5.tainted
+ Revision: 610547
- rebuild for new x264

* Mon Feb 17 2014 luigiwalser <luigiwalser> 0.10.19-11.mga5
+ Revision: 593270
- rebuild for x264

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.10.19-10.mga5.tainted
+ Revision: 592238
- rebuild for libcdio

* Fri Nov 01 2013 lmenut <lmenut> 0.10.19-9.mga4.tainted
+ Revision: 548735
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 0.10.19-8.mga4.tainted
+ Revision: 473993
- fix build with latest cdio
- rebuild for new libcdio

* Sat Aug 24 2013 luigiwalser <luigiwalser> 0.10.19-7.mga4.tainted
+ Revision: 470989
- rebuild for x264

* Mon Jun 17 2013 luigiwalser <luigiwalser> 0.10.19-6.mga4.tainted
+ Revision: 443887
- rebuild for x264

* Sat Jan 12 2013 umeabot <umeabot> 0.10.19-5.mga3.tainted
+ Revision: 352750
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 shlomif <shlomif> 0.10.19-4.mga3.tainted
+ Revision: 343023
- Better grouping
- Update groups and removed trailing whitespace

* Sat Sep 15 2012 fwang <fwang> 0.10.19-3.mga3.tainted
+ Revision: 294221
- rebuild for new x264

* Fri Mar 23 2012 mitya <mitya> 0.10.19-2.mga2.tainted
+ Revision: 225789
+ rebuild (emptylog)

* Wed Feb 29 2012 shlomif <shlomif> 0.10.19-1.mga2
+ Revision: 216253
- New version - 0.10.19

* Tue Dec 13 2011 fwang <fwang> 0.10.18-5.mga2.tainted
+ Revision: 181281
- rebuild for new x264

* Fri Oct 28 2011 fwang <fwang> 0.10.18-4.mga2.tainted
+ Revision: 159091
- rebuild for new libcdio

* Sun Jun 26 2011 fwang <fwang> 0.10.18-3.mga2.tainted
+ Revision: 114028
- rebuild for new x264

* Mon Jun 20 2011 ahmad <ahmad> 0.10.18-2.mga2.tainted
+ Revision: 110740
- Add BR valgrind-devel (needed after the latest valgrind package split)
- Mageia-ify the configure options

* Mon Jun 20 2011 wally <wally> 0.10.18-1.mga2.tainted
+ Revision: 110664
- new version 0.10.18
- clean .spec

* Sun May 29 2011 cjw <cjw> 0.10.17-2.mga1.tainted
+ Revision: 100686
- add support for tainted builds

* Mon Apr 18 2011 wally <wally> 0.10.17-1.mga1
+ Revision: 87682
- new version 0.10.17
- rediff patch
- clean .spec a bit

* Sat Feb 19 2011 mikala <mikala> 0.10.16-3.mga1
+ Revision: 54142
- Use mageia in package name

  + ahmad <ahmad>
    - imported package gstreamer0.10-plugins-ugly

